Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.international
Class StatusMessage

    java.lang.Object
      org.jboss.seam.international.StatusMessage

All Implemented Interfaces:
  Serializable

    public class StatusMessage

extends Object
implements Serializable

A status message which can be created in the business layer and displayed in the view layer

Author:
  Pete Muir
See Also:
  Serialized Form

Nested Class Summary
`static class` | `StatusMessage.Severity` The severity of the status message

Constructor Summary
`StatusMessage(StatusMessage.Severity severity, String key, String detailKey, String defaultMessageTemplate, String defaultMessageDetailTemplate)` Create a status message, looking up the message in the resource bundle using the provided key.

Method Summary
`static String` | `getBundleMessage(String key, String defaultMessageTemplate)`
`String` | `getDetail()`
`StatusMessage.Severity` | `getSeverity()` Get the message severity
`String` | `getSummary()` Get the message
`void` | `interpolate(Object... params)`
`boolean` | `isEmpty()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatusMessage

    public StatusMessage(StatusMessage.Severity severity,
                         String key,
                         String detailKey,
                         String defaultMessageTemplate,
                         String defaultMessageDetailTemplate)

  Create a status message, looking up the message in the resource bundle using the provided key. If the message is found, it is used, otherwise, the defaultMessageTemplate will be used.

Method Detail

### isEmpty

    public boolean isEmpty()

### interpolate

    public void interpolate(Object... params)

### getSummary

    public String getSummary()

  Get the message

### getSeverity

    public StatusMessage.Severity getSeverity()

  Get the message severity

### getDetail

    public String getDetail()

### getBundleMessage

    public static String getBundleMessage(String key,
                                          String defaultMessageTemplate)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.